#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

. /etc/env.properties

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
. $userCreds

temp_teamserver_properties=$1
repoComponent=$2

temporacleDBUsersPassword=`echo ${oracleDBUsersPassword} | base64 -d`
DBUser_name_var=oracle${repoComponent}User
eval DBUser=\$$DBUser_name_var
echo "DBUser: [$DBUser]"

echo "file to update is ["$temp_teamserver_properties"]"
echo "component is ["$repoComponent"]"
echo "===== oracle updates ====="


# ---------------------------- CLM ----------------------------
if [ "jts" == $repoComponent ] || [ "ccm" == $repoComponent ] || [ "qm" == $repoComponent ] || [ "rm" == $repoComponent ] || [ "dcc" == $repoComponent ] || [ "gc" == $repoComponent ]; then 
  echo "-------------update [$repoComponent] teamserver property file--------------------"
  sed -i s%_DBVENDOR_%oracle% $temp_teamserver_properties
  sed -i s%#_ORACLE_CONNECTION_STRING_%com.ibm.team.repository.db.jdbc.location% $temp_teamserver_properties
  sed -i s%_MOD_DB_PORT_%$oraclePort% $temp_teamserver_properties
  sed -i s%_ORACLE_SERVICE_NAME_%$oracleInstanceName% $temp_teamserver_properties
  sed -i s%_DATAWAREHOUSEVENDOR_%oracle% $temp_teamserver_properties
  sed -i s%#_ORACLE_DW_CONNECTION_STRING_%com.ibm.team.datawarehouse.db.jdbc.location% $temp_teamserver_properties
  sed -i s%_DW_DB_PORT_%$oraclePort% $temp_teamserver_properties
  sed -i s%_DW_ORACLE_USER_%$oracledwUser% $temp_teamserver_properties
  sed -i s%_DW_PASSWORD_%$temporacleDBUsersPassword% $temp_teamserver_properties
  
  sed -i s%_CLM_COMPONENT_%$repoComponent% $temp_teamserver_properties
 
  sed -i s%_MOD_ORACLE_DB_USER_%$DBUser% $temp_teamserver_properties
  sed -i s%_MOD_PASSWORD_%$temporacleDBUsersPassword% $temp_teamserver_properties
   
  sed -i s%_DW_BASE_FOLDER_%${QD_Root}/DWFolder% $temp_teamserver_properties
fi


# ---------------------------- RELM / VVC / DM ----------------------------
if [ "relm" == $repoComponent ] || [ "vvc" == $repoComponent ] || [ "dm" == $repoComponent ]; then
  echo "-------------update [$repoComponent] teamserver property file--------------------"
  sed -i s%_DBVENDOR_%oracle% $temp_teamserver_properties
  sed -i s%#_ORACLE_CONNECTION_STRING_%com.ibm.team.repository.db.jdbc.location% $temp_teamserver_properties
  sed -i s%_MOD_DB_PORT_%$oraclePort% $temp_teamserver_properties
  
  sed -i s%_MOD_ORACLE_DB_USER_%$DBUser% $temp_teamserver_properties
  sed -i s%_MOD_PASSWORD_%$temporacleDBUsersPassword% $temp_teamserver_properties
  
  sed -i s%_ORACLE_SERVICE_NAME_%$oracleInstanceName% $temp_teamserver_properties
  
fi

# -----------------------------lqe and ldx --------------------------------
if [ "lqe" == $repoComponent ] || [ "ldx" == $repoComponent ]; then
   echo " ----------- update [$repoComponent] dbconnection property file -----------"
   sed -i s%#_ORACLE_CONNECTION_STRING_%% $temp_teamserver_properties
   sed -i s%_MOD_DB_PORT_%$oraclePort% $temp_teamserver_properties
   
   sed -i s%_MOD_ORACLE_DB_USER_%$DBUser% $temp_teamserver_properties
   sed -i s%_MOD_PASSWORD_%$temporacleDBUsersPassword% $temp_teamserver_properties
   
   sed -i s%_ORACLE_SERVICE_NAME_%$oracleInstanceName% $temp_teamserver_properties
fi
echo "===== oracle updates completed ====="
exit 0
