#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
. /etc/env.properties

touch plugin-cfg-build.xml

BuildPluginFile=$IHS_Config_DIR/plugin-cfg-build.xml

echo "Building the header...."
cat $IHS_Config_DIR/pluginConfigTemplate/plugin-cfg-head-template.xml > $BuildPluginFile

echo "Building servercluster...."
i=1
while [ $i -le $NUMBER_OF_CUSTOM_NODES ]
do
   cp $IHS_Config_DIR/pluginConfigTemplate/plugin-cfg-ServerCluster-template.xml srvercluster${i}.xml
   
   c_host_var=NODE${i}_HostName
   eval c_host=\$$c_host_var
   nodename_var=NODE${i}_NodeName
   eval nodename=\$$nodename_var
   
   sed -i s%"_WEBSERVER_Node_Name_"%$nodename%g srvercluster${i}.xml
   sed -i s%"_WEBSERVER_Host_Name_"%$c_host%g srvercluster${i}.xml
   cat srvercluster${i}.xml >> $BuildPluginFile
   i=$(( i+1 ))
done

echo "Building UriGroup...."
i=1
while [ $i -le $NUMBER_OF_CUSTOM_NODES ]
do
    nodename_var=NODE${i}_NodeName
   eval nodename=\$$nodename_var
   cp $IHS_Config_DIR/pluginConfigTemplate/plugin-cfg-UriGroup-head-template.xml UriGroup-head.xml
   sed -i s%"_WEBSERVER_Node_Name_"%$nodename%g UriGroup-head.xml
   cat  UriGroup-head.xml >> $BuildPluginFile
   app_var=NODE${i}_AppList
   eval apps=\$$app_var
   
   apps=${apps//,/ }
   echo "apps ($apps)"
   for a in $apps
   do
      echo "      <Uri AffinityCookie=\"JSESSIONID\" AffinityURLIdentifier=\"jsessionid\" Name=\"/$a/*\"/>" >> $BuildPluginFile
	  if [ $a == jts ]
	  then
	  	echo "      <Uri AffinityCookie=\"JSESSIONID\" AffinityURLIdentifier=\"jsessionid\" Name=\"/clmhelp/*\"/>" >> $BuildPluginFile
	  fi
   done    
   echo "</UriGroup>" >> $BuildPluginFile
   i=$(( i+1 ))
done

echo "Building RouteServercluster...."
i=1
while [ $i -le $NUMBER_OF_CUSTOM_NODES ]
do
   nodename_var=NODE${i}_NodeName
   eval nodename=\$$nodename_var
   cp $IHS_Config_DIR/pluginConfigTemplate/plugin-cfg-RouteServerCluster-template.xml Routesrvercluster${i}.xml
   ls Routesrvercluster${i}.xml
   sed -i s%"_WEBSERVER_Node_Name_"%$nodename%g Routesrvercluster${i}.xml
   cat Routesrvercluster${i}.xml >> $BuildPluginFile
   i=$(( i+1 ))
done

cat $IHS_Config_DIR/pluginConfigTemplate/plugin-cfg-tail-template.xml  >> $BuildPluginFile
sed -i s%_WebServerMerge_%webservermerge%g $BuildPluginFile
echo "Move the file to : [$IHS_Config_DIR/plugin-cfg.xml]"
mv $BuildPluginFile $IHS_Config_DIR/plugin-cfg.xml