#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
. /etc/env.properties

envProp=/etc/env.properties
. $envProp

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
. $userCreds
if [ $? -gt 0 ]; then
     echo "ERROR: failed to source file [$userCreds]"
     exit 1
fi

echo "WASCOMMON=$WAS_COMMON_DIR"
echo "WAS_PROFILE_ROOT=$WAS_PROFILE_ROOT"

if [ $# -eq 1 ]
then
   option=$1
else
   echo "Error: Need pass in a single argument for import/export, you have passed in $# argument"
   exit 1
fi

tempkeypwd=/tmp/keypwd.txt
# Get IHSServerKeyStorePassword for the setup
# ======================================
tempIHSServerKeyStorePassword=`echo ${IHSServerKeyStorePassword} | base64 -d`
echo "keypwd=$tempIHSServerKeyStorePassword" > $tempkeypwd
if [ ! -f $tempkeypwd ]
then
   echo "Error: Failed to find the password for enabling SSO"
   exit 1
fi

#check the user who initiate this script
CurrentUser=`whoami`

if [ "$CurrentUser" == root ]; then
   su - $OSUserName -c "$WAS_PROFILE_ROOT/bin/wsadmin.sh -lang jython -f ${WAS_COMMON_DIR}/EnableSSO.jy $option $tempkeypwd"
else
   $WAS_PROFILE_ROOT/bin/wsadmin.sh -lang jython -f ${WAS_COMMON_DIR}/EnableSSO.jy $option $tempkeypwd
fi

if [ $? -ne 0 ]
        then
        echo "Error: $option failed"
        rm -f $tempkeypwd
        exit 1
fi
echo "----- SSO settings updated"
rm -f $tempkeypwd

exit 0