#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
. /etc/env.properties

PROPSFILE=${WAS_COMMON_DIR}/was.properties

RAMSize=`cat /proc/meminfo |grep MemTotal|awk '{print $2}'| awk '{print substr($0,0,(length($0)-3))}'`
echo "Ramsize is $RAMSize"
if [ $RAMSize -lt 4000 ]; then
	echo "The system RAM size is less than 4GB"
	sed -i s%HeapSize=4096%HeapSize=$RAMSize% $PROPSFILE
        sed -i s%"-Xmx4g -Xms4g"%"-Xmx2g -Xms2g"% $PROPSFILE
elif [ $RAMSize -lt 6000 ]; then
	echo "The system RAM size is 4gb, do nothing"
elif [ $RAMSize -lt 7500 ]; then
	 echo "The system RAM size is less than 7GB"
        sed -i s%HeapSize=4096%HeapSize=$RAMSize% $PROPSFILE
        sed -i s%"-Xmx4g -Xms4g"%"-Xmx6g -Xms6g"% $PROPSFILE
        sed -i s%-Xmn512m%-Xmn1g% $PROPSFILE

else 
	echo "The system RAM size more than 8gb, allocate 75% of total memory $RAMSize"
	AllocateMem=`expr 75 \* $RAMSize / 100 `
    echo "Allocate memory is $AllocateMem"
    #Only get the number of GB
	heapsize=`echo $AllocateMem|awk '{print substr($0,0,(length($0)-3))}'`
	sed -i s%HeapSize=4096%HeapSize=$AllocateMem% $PROPSFILE
    sed -i s%"-Xmx4g -Xms4g"%"-Xmx${heapsize}g -Xms${heapsize}g"% $PROPSFILE
    sed -i s%-Xmn512m%-Xmn1g% $PROPSFILE
fi
