#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
envProp=/etc/env.properties
touch $envProp

CurrentWorkPath=`pwd -P`
echo WAS_COMMON_DIR=$CurrentWorkPath >> $envProp

WAS_SCRIPTS_DIR=$CurrentWorkPath

. $envProp
chmod -R 755 .

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
. $userCreds

# configure WAS server session properties
bash UpdateWASConfig.sh
if [ $? -ne 0 ]
then
    echo "Error: Failed to complete UpdateWASConfig.sh"
	exit 1
fi

# configure WAS security
bash enableLDAP.sh
if [ $? -ne 0 ]
then
    echo "Error: failed to complete enable LDAP.sh"
    exit 1
fi

echo "----- WASCommon.sh finished"
