#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
. /etc/env.properties

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
. $userCreds

echo "As non-Root user [$WAS_USER_NAME] stop the WAS server ....."

creds=""
if [ "$1" -a "$2" ]; then creds="-username $1 -password $2"; fi

#check the user who initiate this script
CurrentUser=`whoami`

#Stop WebSphere Application Server for Repo Tools operations
echo "----- Stop WebSphere Server -----"
if [ "$CurrentUser" == root ]; then
   su - $WAS_USER_NAME -c "$WAS_PROFILE_ROOT/bin/stopServer.sh server1 $creds"
else
   $WAS_PROFILE_ROOT/bin/stopServer.sh server1 $creds
fi
if [ $? -ne 0 ]
then
echo 'WebSphere Server failed to stop'
exit 1
fi

echo "WebSphere Server stopped"
exit 0
