#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

. /etc/env.properties

timeStart=`date +%s`
echo "Create databases for $Products"

appList=${appList//,/ }
echo "appList ($appList)"
for a in $appList
do
      if [ $a == rs ]
      then
        echo "============= We do not need create $a database ============="
      else
        echo "===========Creating $a database=============================="
        timestamp=`date +%s`
        DBName_var=${a}DBName
        eval DBName=\$$DBName_var
        DBArg_var=create${a}DBOption
        eval DBArg=\$$DBArg_var
        echo "DBName: [$DBName]"
        echo "DBArg: [$DBArg]"
        db2 CREATE DATABASE $DBName $DBArg
        if [ $? -ne 0 ]; then
          echo "failed to create application database"
          exit 1
        else
          echo "application database created"
        fi
        
        timestampDone=`date +%s`
        timeTaken=`expr $timestampDone - $timestamp`

        echo "DEBUG (CT): Create [${a}DB] database took ["$timeTaken"] Sec"
    fi
done

echo "====================Creating dataware house database==============="
timestamp=`date +%s`
db2 CREATE DATABASE $dwDBName $createdwDBOption
if [ $? -ne 0 ]; then
  echo "failed to create datawarehouse database"
  exit 1
else
  echo "datawarehouse database created"
fi
timestampDone=`date +%s`
timeTaken=`expr $timestampDone - $timestamp`

echo "DEBUG (CT): Create [dwDB] database took ["$timeTaken"] Sec"