#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

workingDir=`pwd -P`
. /etc/env.properties

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
#Temporary turn on $userCreds mode, so oracle user can execute it
chmod 777 $userCreds
. $userCreds


# get media version properties
. $AUTO_PREP/MediaParameters/mediaVersion.properties

if [ ! -d $oracleDBStorage_Home ]; then
   su - $oracleOSUserName -c "mkdir -p $oracleDBStorage_Home"
   if [ $? -gt 0 ];then
      echo "ERROR: Failed to create oracleDBStorage_home [$oracleDBStorage_Home]"
      exit 1
   fi
fi

temporacleSYSPassword=`echo ${oracleSYSPassword} | base64 -d`
temporacleDBSNMPPassword=`echo ${oracleDBSNMPPassword} | base64 -d`
temporacleSYSTEMPassword=`echo ${oracleSYSTEMPassword} | base64 -d`

#echo "------String Sub create instance response file------"
#sed -i s%INSTANCE_NAME%$oracleInstanceName% $workingDir/dbca.rsp
#sed -i s%SYS_PASSWORD%$temporacleSYSPassword% ${workingDir}/dbca.rsp
#sed -i s%DBSNMP_PASSWORD%$temporacleDBSNMPPassword% ${workingDir}/dbca.rsp
#sed -i s%SYSTEM_PASSWORD%$temporacleSYSTEMPassword% ${workingDir}/dbca.rsp

echo oracleOSUserName=[$oracleOSUserName]

#echo "-----Create Oracle instance---------------------"
#workingDir=$workingDir su -c ". ~/.bashrc;dbca -silent -responseFile $workingDir/dbca.rsp" -- $oracleOSUserName
#if [ $? -gt 0 ]; then
#    echo "ERROR: Failed to create instance [$oracleInstanceName]"
#    exit 1
#fi


chmod 755 $workingDir/createOraDB.sh

echo DBStorage_Home=$oracleDBStorage_Home 
echo oracleInstanceName=$oracleInstanceName 
echo workingDir=$workingDir 

appList=${appList//,/ }
echo "appList ($appList)"
for a in $appList
do
 if [ $a == rs ]
      then
        echo "============= We do not need create $a database ============="
 else
	echo "------Creating ${a} user------------"
	workingDir=$workingDir su - $oracleOSUserName -c ". ~/.bashrc;$workingDir/createOraDB.sh ${a}"
	if [ $? -gt 0 ]; then
         echo "ERROR: Failed to create oracle user for application [$a]"
         exit 1
    fi
	
 fi
done

echo "------Creating datawarehouse user------------"
workingDir=$workingDir su - $oracleOSUserName -c ". ~/.bashrc;$workingDir/createOraDB.sh dw"
if [ $? -gt 0 ]; then
         echo "ERROR: Failed to create oracle user for datawarehouse"
         exit 1
fi
echo "------Update spfile--------------------------"
chmod 755 $workingDir/Updatespfile.sh
workingDir=$workingDir su - $oracleOSUserName -c ". ~/.bashrc;. /etc/env.properties;$workingDir/Updatespfile.sh"
if [ $? -gt 0 ]; then
         echo "ERROR: Failed to update spfile"
         exit 1
fi
echo "------Setting Oracle Databases to Restart on VM reboot---------"
sed -i s%"$ORACLE_HOME:N"%"$ORACLE_HOME:Y"% /etc/oratab

# turn $userCreds back to read only mode
chmod 600 $userCreds
