#!/bin/bash
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
. /etc/env.properties

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
. $userCreds

DBSYSPassword=`echo ${oracleSYSPassword} | base64 -d`

theQuery1="alter system set processes=1000 scope=spfile;"

# Increase open cursor limits
theQuery2="alter system set open_cursors = 10000 scope=both;"


THE_SQL_FILE=alter.txt

echo ${theQuery1} > ${THE_SQL_FILE} 
echo ${theQuery2} >> ${THE_SQL_FILE}
sqlplus -s -l sys/${DBSYSPassword}@${oracleInstanceName} as sysdba <<!
whenever sqlerror exit 1 ;
set feedback off
set heading off
set pagesize 0
set linesize 210
set space 0
set newpage 0
set verify off
set termout off
spool ${prefix}_output.txt
@${THE_SQL_FILE}
exit;
spool off
!
STATUS=$?
if [ $STATUS -ne 0 ]; then
	exit $STATUS
fi

#restart database
export ORACLE_SID=$oracleInstanceName
export ORACLE_UNQNAME=$ORACLE_SID
$ORACLE_HOME/bin/dbshut $ORACLE_HOME
if [ $? -gt 0 ]; then
         echo "ERROR: Failed to shutdown oracle database"
         exit 1
fi

$ORACLE_HOME/bin/dbstart $ORACLE_HOME
if [ $? -gt 0 ]; then
         echo "ERROR: Failed to start oracle database"
         exit 1
fi

exit 0
