#!/bin/bash
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

. /etc/env.properties

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
. $userCreds

appName=$1
TS_path=$oracleDBStorage_Home/${appName}
THE_SQL_FILE=$oracleDBStorage_Home/${appName}.sql

TS_name_var=oracle${appName}TableSpace
eval TSName=\$$TS_name_var
echo "TSName: [$TSName]"

TS_createOption_var=oracle${appName}CreateTS
eval createTSOption=\$$TS_createOption_var
echo "createTSOption: [$createTSOption]"

TEMPTS_name_var=oracle${appName}TempTableSpace
eval TEMPTSName=\$$TEMPTS_name_var
echo "TEMPTSName: [$TEMPTSName]"

TEMPTS_createOption_var=oracle${appName}CreateTempTS
eval createTEMPTSOption=\$$TEMPTS_createOption_var
echo "createTEMPTSOption: [$createTEMPTSOption]"
   
DBUser_name_var=oracle${appName}User
eval DBUser=\$$DBUser_name_var
echo "DBUser: [$DBUser]"

User_GrantOption_var=oracle${appName}GrantOption
eval UserGrantOption=\$$User_GrantOption_var
echo "UserGrantOption: [$UserGrantOption]"

DBUserPassword=`echo ${oracleDBUsersPassword} | base64 -d`
DBSYSPassword=`echo ${oracleSYSPassword} | base64 -d`
DBUsersPassword=`echo ${oracleDBUsersPassword} | base64 -d`

mkdir ${TS_path}
theQuery1="CREATE BIGFILE TABLESPACE $TSName DATAFILE '${TS_path}/${appName}.dbf' $createTSOption;"

theQuery2="CREATE TEMPORARY TABLESPACE $TEMPTSName TEMPFILE '${TS_path}/${appName}temp.dbf' $createTEMPTSOption;"

theQuery3="CREATE USER $DBUser IDENTIFIED BY $DBUsersPassword DEFAULT TABLESPACE $TSName QUOTA UNLIMITED ON $TSName TEMPORARY TABLESPACE $TEMPTSName;"

theQuery4="GRANT $UserGrantOption TO $DBUser;"

echo ${theQuery1} > ${THE_SQL_FILE} 
echo ${theQuery2} >> ${THE_SQL_FILE}
echo ${theQuery3} >> ${THE_SQL_FILE}
echo ${theQuery4} >> ${THE_SQL_FILE}
     
sqlplus -s -l sys/${DBSYSPassword}@${oracleInstanceName} as sysdba <<!
whenever sqlerror exit 1 ;
set feedback off
set heading off
set pagesize 0
set linesize 210
set space 0
set newpage 0
set verify off
set termout off
spool ${prefix}_output.txt
@${THE_SQL_FILE}
exit;
spool off
!
STATUS=$?
if [ $STATUS -ne 0 ]; then
	exit $STATUS
fi
exit 0
