#!/bin/bash
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
. /etc/env.properties

DBSYSPassword=$1

if [ "x${DBSYSPassword}x" == "xx" ]
then
	echo "ERROR: DBSYSPassword did not set"
	exit 1
fi

theQuery1="alter system set local_listener='${oracleInstanceName}' scope=both;"

THE_SQL_FILE=alter.txt

echo ${theQuery1} > ${THE_SQL_FILE} 

sqlplus -s -l sys/${DBSYSPassword}@${oracleInstanceName} as sysdba <<!
whenever sqlerror exit 1 ;
set feedback off
set heading off
set pagesize 0
set linesize 210
set space 0
set newpage 0
set verify off
set termout off
spool ${prefix}_output.txt
@${THE_SQL_FILE}
exit;
spool off
!
STATUS=$?
if [ $STATUS -ne 0 ]; then
	exit $STATUS
fi
exit 0
